AlwaysRequest("MUSIC_STATE", async (data) => {
    await disableDrag()
    await enableDrag()

    stopInterval()
    console.log(data)

    durationAll = 0
    durationProgress = 0
    isPlaying = false

    if(data.isOnline) {
       
        vol.classList.remove("disabled")
        shuffle.classList.remove("disabled")
        list.classList.remove("disabled")
        play.classList.remove("pri_disable")
        disconnect.classList.remove("invisible")
        volRange.classList.add("disabled")

        volRange.disabled = false
    } else {

        vol.classList.add("disabled")
        shuffle.classList.add("disabled")
        list.classList.add("disabled")
        play.classList.add("pri_disable")
        disconnect.classList.add("invisible")
        volRange.classList.add("disabled")
        volRange.disabled = true
        volRange.value = 0
        volTxt.innerHTML = "0%"
        volBox.classList.add("invisible")
      
    }

    if(data.volume) {
        volRange.step = 1
        volRange.max = 200
        volRange.min = 1
        volRange.value = Math.trunc(data.volume / 10)
        volTxt.innerHTML = Math.trunc(data.volume / 10) + "%"

        var volNum = Math.trunc(data.volume / 10)

      

    } else {

        volRange.classList.add("disabled")
        volRange.disabled = true
        volRange.value = 0
        volTxt.innerHTML = "0%"
    }

    if(data.shuffle == true) {
        shuffle.innerHTML = '<i class="third-join fa fa-shuffle"></i>'

    } else {

        shuffle.innerHTML = '<i class="fa fa-shuffle"></i>'
    }

    if(data.loop == true) {
        loop.innerHTML = '<i class="third-join fa fa-retweet"></i>'

    } else {

        loop.innerHTML = '<i class="fa fa-retweet"></i>'
    }

    if(data.current == null) {

        musicURL.innerHTML = '<img class="showPicture" src="images/black-image.svg">'
        musicTitle.innerHTML = "<p>Aucun titre joué</p>"
        loop.classList.add("invisible")
        takeCurrent.classList.add("invisible")
    } else {

        var thumbnail = data.current.thumbnail
    
        if(!thumbnail) {

            thumbnail = "/images/black-image.svg"
        }

        musicURL.innerHTML = '<img class="showPicture" src="' + thumbnail + '">'
        musicTitle.innerHTML = "<p>" + data.current.title + "</p>"
        currentSong = data.current
        takeCurrent.classList.remove("invisible")
        loop.classList.remove("invisible")
    }

    if(data.durationAll) {
        durationBar.disabled = false
        durationBar.classList.remove("grised")
        setTime()
       
        durationAll = data.durationAll
        durationProgress = data.durationNow
        durationBar.value = durationProgress
        setTime()

    } else {

       
        isPlaying = false
        durationAll = 0
        durationProgress = 0
        durationBar.disabled = true
        durationBar.classList.add("grised")
        durationBar.value = 0
        durationTextAct.innerHTML = "-:--"
        durationTextTotal.innerHTML = "-:--"
        
    }


    if(data.playing == 1) {
        play.innerHTML = '<i class="fas fa-pause"></i>'
        isPlaying = true
        startInterval()
    } else {
        
        play.innerHTML = '<i class="fas fa-play"></i>'
        isPlaying = false
       
    }

   
  
    if(data.current && data.playing == 0) {
        setTime()

    }

    if(data.durationAll == 9223372036854776000) {

        isPlaying = false
        durationAll = 0
        durationProgress = 0
        durationBar.disabled = true
        durationBar.classList.add("grised")
        durationBar.style.display = "none"
        durationBar.value = 0
        durationTextAct.innerHTML = ""
        durationTextTotal.innerHTML = "<i style='color: red;' class='fa-solid fa-circle'></i> LIVE"

    } else {

        durationBar.style.display = "unset"
    }



    if(data.queue != null) {

        var contentToPush = new Array()
        var queueNum = 0

        for(var title of data.queue) {
            queueNum += 1
            console.log(queueNum)
            console.log(data.queue.indexOf(title) + " - " + title.title)
            var thumbnail = title.thumbnail
            if(!thumbnail) {
    
            thumbnail = "/images/black-image.svg"
                            
            }
            contentToPush.push(' <div class="draggable song" id="' + data.queue.indexOf(title) + '_queue_song"> <img class="list_thumbnail" src="' + thumbnail + '"><div class="list_titleSong"> <p class="list_title">' + title.title + '</p></div> <button id="' + data.queue.indexOf(title) + '_lmove" class="list_upSong"><i class="fa fa-arrow-up"></i></button> <button id="' + data.queue.indexOf(title) + '_ldelete" class="list_delete"><i class="fa fa-trash"></i></button> </div>')
        }

        if(contentToPush.join("") == "") {
           
            listNumber.classList.add("invisible")
            listBox.innerHTML = '<p class="list_error">Aucun morceau dans la liste de lecture !</p>'
        
        } else {
            listNumber.innerHTML = '<span class="numtext">' + queueNum + '</span>'
            listNumber.classList.remove("invisible")
            listBox.innerHTML = contentToPush.join("")
        }

        //CODE INTEGER QUEUE LIST MOVE

            const container = document.getElementById('listBox');
            const draggableItems = document.querySelectorAll('.draggable');

            let draggingElement = null;

            draggableItems.forEach(item => {
                item.addEventListener('dragstart', (e) => {
                e.dataTransfer.setData('text/plain', item.innerHTML);
                draggingElement = item;
                });

                item.addEventListener('dragend', () => {
                draggingElement = null;
                setTimeout(() => {
                    item.style.display = 'flex'; // Restaure l'affichage de l'élément
                }, 0);
                updateOrder();
                });
            });

            container.addEventListener('dragover', (e) => {
                e.preventDefault();
                const afterElement = getDragAfterElement(container, e.clientY);
                if (draggingElement !== null) {
                if (afterElement == null) {
                    container.appendChild(draggingElement);
                } else {
                    const rect = afterElement.getBoundingClientRect();
                    if (e.clientY < rect.top + rect.height / 2) {
                    container.insertBefore(draggingElement, afterElement);
                    } else {
                    container.insertBefore(draggingElement, afterElement.nextElementSibling);
                    }
                }
                }
            });

            function getDragAfterElement(container, y) {
                const draggableElements = [...container.querySelectorAll('.draggable:not(.dragging)')];
                return draggableElements.reduce((closest, child) => {
                const box = child.getBoundingClientRect();
                const offset = y - box.top - box.height / 2;
                if (offset < 0 && offset > closest.offset) {
                    return { offset: offset, element: child };
                } else {
                    return closest;
                }
                }, { offset: Number.NEGATIVE_INFINITY, element: null }).element;
            }

            function updateOrder() {
                const draggableItems = document.querySelectorAll('.draggable');
                const order = [];
                draggableItems.forEach(item => {
                order.push(item.id.replace("_queue_song", ""));
                });
                console.log('Ordre des divs:', order);
                post("MOVE_QUEUE_BY_ENTIRE", order)
            }



            // END OF CODE INTEGER

        for(var title of data.queue) {

            console.log(data.queue.indexOf(title) + " - " + title.title)
            
            const titleBtn = document.getElementById(data.queue.indexOf(title)+ "_ldelete")
            const moveBtn = document.getElementById(data.queue.indexOf(title)+ "_lmove")
            
            titleBtn.addEventListener("click", () => {

                post("DELETE_QUEUE", titleBtn.id.replace("_ldelete", ""), data.queue[moveBtn.id.replace("_lmove", "")].title )
            })

            moveBtn.addEventListener("click", () => {

                post("MOVE_QUEUE", moveBtn.id.replace("_lmove", ""))

            })
        }
       

    } else {

        listBox.innerHTML = '<p class="list_error">Lancez un titre et ajoutez vos morceaux ici !</p>'
        listNumber.classList.add("invisible")
    }

})



play.addEventListener('click', () => {

    get("PAUSE")
})

document.body.onkeyup = function(e) {

    if ((e.key == " " ||
        e.code == "Space" ||      
        e.keyCode == 32) &&
        e.srcElement.localName != "input" && e.srcElement.localName != "textarea"   
    ) {
        play.click()
    }
  }

backward.addEventListener('click', () => {

    get("BACKWARD")
})


forward.addEventListener("click", () => {

    get("FORWARD")
})

volBox.classList.add("invisible")
listBox.classList.add("invisible")

list.addEventListener("click" , () => {

    volBox.classList.add("invisible")

    if(listBox.classList.contains('invisible')) {
        listBox.classList.remove("invisible")
      
    } else {

        listBox.classList.add("invisible")
    }
})

vol.addEventListener("click", () => {

    listBox.classList.add("invisible")

    if(volBox.classList.contains('invisible')) {
        volBox.classList.remove("invisible")
      
    } else {

        volBox.classList.add("invisible")
    }
 
})

volRange.addEventListener("click", () => {
    

    post("VOLUME", volRange.value)
})

volRange.addEventListener("input", () => {

   
    volTxt.innerHTML = volRange.value + "%"
})

loop.addEventListener("click", () => {

    get("LOOP")
})

shuffle.addEventListener("click", () => {

    get("SHUFFLE")
})


disconnect.addEventListener("click", () => {

    get("DISCONNECT")
})


durationBar.addEventListener("change", () => {

    post("SEEK", durationBar.value)

})