AlwaysRequest("ALL_RADIO", (resp) => {
    if(userLocation == "home") {

        const radio_list = document.getElementById("radio_list")
        const radioToPush = new Array()
    
        radioToPush.push("<p style='font-family: Gunship, sans-serif;'><i class='fa fa-radio'></i> Radio</p>")
        radioToPush.push(`
        <dialog class="report_dialog" id="radio_dialog">
                <div class="rlineclose">
                    <p class="rtitle"><i class="fa fa-radio"></i> Ajout d'une radio</p>
                    <button id="radio_close" class="report_close"><i class="fa-solid fa-xmark"></i></button>
                </div>
                <p id='radio_info' style='text-align: center; color: red;'></p>
    
                <div class="rcontent">
                    <p class="runder">URL</p>
                    <input type='text' id="radio_host">
                    <button id="radio_send" class="rsend"><i class="fa-solid fa-plus"></i> Ajouter</button>
                </div>
        </dialog>
    `)
    
       
    
        for(var title of resp ) {
    
            var thumbnail = title.thumbnail
            if(!thumbnail) {
       
               thumbnail = "/images/black-image.svg"
                               
             }
    
            radioToPush.push(`<div style='grid-template-columns: 0.5fr 7fr 1fr !important;' class="search_song"> <img style='width: 60px;height: 45px; margin-right: 10px;' src="${thumbnail}"><div class="search_titleSong"> <p class="search_title">${title.title} - ${title.author}</p></div><button id='${resp.indexOf(title)}_radio_pplay' class='primary'><i class='fa fa-play'></i></button></div>`)
    
        }
    
        if(userAdmin) {
    
            radioToPush.push(`
            <div id="radio_add" class="playlist_div"><i style='margin-right: 10px;' class='fa fa-plus'></i> Ajouter une radio</div>`)
        }
    
        radio_list.innerHTML = radioToPush.join("")
    
        if(userAdmin) {
    
            const radio_dialog = document.getElementById("radio_dialog")
            const radio_close = document.getElementById("radio_close")
            const radio_send = document.getElementById("radio_send")
            const radio_add = document.getElementById("radio_add")
            const radio_info = document.getElementById("radio_info")
            const radio_host = document.getElementById("radio_host")
        
            if(radio_add) {
                radio_add.addEventListener("click", () => {
                    radio_info.innerHTML = ""
                    radio_host.value = ""
                    radio_dialog.showModal()
                })
            
                radio_close.addEventListener("click", () => {
                    radio_info.innerHTML = ""
                    radio_dialog.close()
                })
            
                radio_send.addEventListener("click", () => {
                    if(radio_host.value != '') {
            
                        post("RADIO/ADD", radio_host.value)
                        radio_dialog.close()
                    } else {
                    
                        radio_info.innerHTML = "Remplissez une URL !"
                    }
            
                })
        
            }
    
        }
    
        for(var title of resp ) {
    
            const playBtn = document.getElementById(resp.indexOf(title) +'_radio_pplay')
        
            playBtn.addEventListener("click", () => {
    
                post("ADD_SONG_NOW", resp[playBtn.id.replace("_radio_pplay", "")])
    
            })
        }
    
    
    }

})


