
searchBtn.addEventListener("click", () => {

    mainView.innerHTML = '<div class="findbar"><i class="fa fa-search"></i><input autofocus  id="searchBar" placeholder="Insérez des mots-clés ou un lien" type="text"></div><div class="search_middle"></div><div id="search_content"></div>'
    const searchBar = document.getElementById("searchBar")
    const searchcontent = document.getElementById("search_content")

    searchBar.addEventListener("change", () => {

    
        post("SEARCH", searchBar.value).then(answerOfResult => {
            
            var results = answerOfResult.results
            var playlistReconnised = answerOfResult.playlist

            if(searchBar.value.includes("https://") || searchBar.value.includes("http://")) {

                searchBar.value= ""
            }

            if(!playlistReconnised) {

            if(results.tracks != null) {
                const data = results.tracks
             
                console.log(data)
                var contentToPush = new Array()
        
                for(var title of data) {
                    
                   

                    var thumbnail = title.thumbnail
    
                    if(!thumbnail) {

                        thumbnail = "/images/black-image.svg"
                    }

                    
                    var PFormatduration = getTimeCode(title.duration)

                    if(title.duration == 9223372036854776000) {

                        PFormatduration = "<i style='color: red;' class='fa-solid fa-circle'></i> LIVE"
                    }

                    contentToPush.push(' <div class="search_song"> <img class="search_thumbnail" src="' + thumbnail + '"><div class="search_titleSong"> <p class="search_title">' + title.title + '</p></div> <p>' + title.author + '</p><p>' + PFormatduration + '</p> <div class="search_buttons"><button id="' + data.indexOf(title) +  '_ladd" class="search_add"><i class="fa fa-plus"></i></button> <div class="searchMoreDiv"><button id="' + data.indexOf(title) + '_lmore" class="search_lmore"><i class="fa-solid fa-ellipsis"></i></button></div><div class="searchPopup" id="' + data.indexOf(title) + '_popup"><div id="' + data.indexOf(title) + '_playNow" class="INDEX_line"><i class="fa-solid fa-play"></i> Lire maintenant</div><div id="' + data.indexOf(title) +'_goPlaylist" class="INDEX_line"><i class="fa-regular fa-square-plus"></i> Ajouter à une playlist</div><div id="' + data.indexOf(title) +'_copy" class="INDEX_line"><i class="fa-regular fa-copy"></i> Copier le lien</div></div></div><dialog id="' +  data.indexOf(title) + 'playlistManager" class="report_dialog"><div class="rlineclose"><p class="rtitle"><i class="fa fa-square-plus"></i> Ajouter à une playlist</p><button id="' +  data.indexOf(title) + 'playlistManager_close" class="report_close"><i class="fa-solid fa-xmark"></i></button></div><div class="apContent"><img id="' +  data.indexOf(title) + 'playlist_add_img" class="ppTile" src="/images/playlist-tile.svg"><p style="padding: 1%;" id="' +  data.indexOf(title) + 'playlist_add_music"></p><p>Selectionner la playlist</p><select style=" color: white; background-color: transparent; border: solid 2px #2c3df4;padding: 1%; border-radius: 12px;" id="' +  data.indexOf(title) + 'playlistSelection"></select><button id="' +  data.indexOf(title) + 'playlistAddSong" class="rsend"><i class="fa fa-plus"></i> Ajouter</button></div></dialog></div>')
                }
        
                if(contentToPush.join("") == "") {
        
                    searchcontent.innerHTML = '<p class="error">Aucun morceau trouvé !</p>'
                
                } else {
        
                    searchcontent.innerHTML = contentToPush.join("")
                }
        
                for(var title of data) {
        
                    const add_to = document.getElementById(data.indexOf(title) + "_ladd")
                    const test_lmore = document.getElementById(data.indexOf(title) + "_lmore")
                    const testPopup = document.getElementById(data.indexOf(title) + "_popup") 
                    const playNow = document.getElementById(data.indexOf(title) + "_playNow")
                    const copy = document.getElementById(data.indexOf(title) + "_copy")
                    const addPlaylist = document.getElementById(data.indexOf(title) + "_goPlaylist")  

                    const PlaylistManager = document.getElementById(data.indexOf(title) + "playlistManager")
                    const playlistManager_close = document.getElementById(data.indexOf(title) + "playlistManager_close")
                    const playlistSelection = document.getElementById(data.indexOf(title) + "playlistSelection")
                    const playlist_add_music = document.getElementById(data.indexOf(title) + "playlist_add_music")
                    const playlist_add_img = document.getElementById(data.indexOf(title) + "playlist_add_img")
                    const playlistAddSong = document.getElementById(data.indexOf(title) + "playlistAddSong")

                    var thumbnail = data[add_to.id.replace("_ladd", "")].thumbnail
    
                    if(!thumbnail) {

                        thumbnail = "/images/black-image.svg"
                    }
                  
                    testPopup.style.display = "none"
    
                    add_to.addEventListener("click", () => {
    
                        post("ADD_SONG", data[add_to.id.replace("_ladd", "")])
                    })

                    copy.addEventListener("click", () => {
                        navigator.clipboard.writeText(data[add_to.id.replace("_ladd", "")].uri)
                        testPopup.style.display = "none"
                    })

                    addPlaylist.addEventListener("click", () => {

                        PlaylistManager.showModal()
                        playlist_add_music.innerHTML = data[add_to.id.replace("_ladd", "")].title
                        playlist_add_img.src = thumbnail
                        playlistSelection.innerHTML = playlistAvailable
                    })

                    playlistManager_close.addEventListener("click", () => {

                        PlaylistManager.close()
                    })

                    playlistAddSong.addEventListener("click", () => {

                        
                        PlaylistManager.close()
                    
                        post("ADD_SONG_TO_PLAYLIST", {data: playlistSelection.value , song: data[add_to.id.replace("_ladd", "")]})

                    })
    
                    test_lmore.addEventListener("click",( ) => {
    
    
                            testPopup.style.display = "flex"
                            testPopup.style.top = yMousePos + "px"
    
                    })
    
                    testPopup.addEventListener("mouseleave", () => {
    
                            testPopup.style.display = "none"
                    
                    })
    
                    playNow.addEventListener("click", () => {
    
                        post("ADD_SONG_NOW", data[add_to.id.replace("_ladd", "")])
    
                    })

                  
        
                   
                }
               
        
            } else {
        
                searchcontent.innerHTML = '<p class="error">Aucun morceau trouvé !</p>'
        
            }

            } else {

                //https://www.youtube.com/playlist?list=PLA8VHLKYzqTvCcIKhsjGS41nG1zBpRZPy
       
                
                var playlistToPush = new Array()
                var playlist_songs = new Array()
        
            
                for(var title of results.videos) {
            
                        var PFormatduration = getTimeCode(title.milis_length)

                        if(title.milis_length == 9223372036854776000) {

                            PFormatduration = "<i style='color: red;' class='fa-solid fa-circle'></i> LIVE"
                        }
            
            
                    playlist_songs.push('<div class="search_song"> <img class="search_thumbnail" src="' + title.thumbnail_url + '"><div class="search_titleSong"> <p class="search_title">' + title.title + '</p></div> <p>' + title.author.name + '</p><p>' + PFormatduration + '</p> <div class="search_buttons"><button id="' + results.videos.indexOf(title) +  '_padd" class="search_add"><i class="fa fa-plus"></i></button><button id="' + results.videos.indexOf(title) +  '_pplay" class="search_lmore"><i class="fa fa-play"></i></button></div></div>')
            
                }
            
                playlistToPush.push('<div class="apPres"><div class="apTitle"><img style="width: 20%" class="" src="' +results.thumbnail_url + '"><div style=""><p style="margin-left: 2% !important;">' + results.author.name + " - (" + results.videos.length + " titres)" +  '</p><p class="apName">' + results.title + '</p></div></div><div class="apButtons"><button  onclick="fp_play_playlist(\'' + results.url + '\')" id="'+ results.id +'_playlistplay" class="primary"><i class="fas fa-play"></i></button></div></div><hr>' + playlist_songs.join(""))
                
                if(playlistToPush.join("") == "") {
            
                    searchcontent.innerHTML = '<p class="error">Aucun morceau trouvé !</p>'
                
                } else {
            
                    searchcontent.innerHTML = playlistToPush.join("")
            
                    
                }

                
                
                
                for(var title of results.videos) {
            
                    const add_to = document.getElementById(results.videos.indexOf(title) + "_padd")
                    const playNow = document.getElementById(results.videos.indexOf(title) + "_pplay")
                    
            
                    add_to.addEventListener("click", () => {
            
                        post("FP_ADD_SONG", results.videos[add_to.id.replace("_padd", "")].url)
                    })
            
                    playNow.addEventListener("click", () => {
            
                        post("FP_ADD_SONG_NOW", results.videos[add_to.id.replace("_padd", "")].url)
            
                    })
            
                    
            
                
                }
            }
    
        }) 
    
    })
})