const { __glob } = require("../modules/global-variables");
const { LogType } = require("loguix");
var { List } = require("./sub-list")
const discord = require("./discord-bot")
const subplayer = require("./sub-player")
const fs = require("fs");
const { type } = require("os");
var radios = []
const plog = new LogType("Radio-Manager")

checkRadioFile()


module.exports.get = function () {

    checkRadioFile()
    return radios

}

module.exports.add = function (data) {
    
    var radios_data = readRadioFile()
            
    radios_data.push(data)
    fs.writeFileSync(__glob.RADIO, JSON.stringify(radios_data, null, 2))
    
    return radios

}

module.exports.remove = function(data) {

            var radios_data = readRadioFile()

            var radIndex = -1

            for(var radio of radios_data) {

                if(data.uri == radio.uri) {

                    radIndex = radios_data.indexOf(radio)

                }

            }
            

            radios_data.splice(radIndex, 1)
            
           saveRadioFile(radios_data)
           
}


function saveRadioFile(data) {

    fs.writeFileSync(__glob.RADIO, JSON.stringify(data, null, 2))
}   

function readRadioFile() {

    if(fs.existsSync(__glob.RADIO)) {
            
        return JSON.parse(fs.readFileSync(__glob.RADIO))
    }
}


function checkRadioFile() {

    if(fs.existsSync(__glob.RADIO)) {

        radios = JSON.parse(fs.readFileSync(__glob.RADIO))
    } else {

        fs.writeFileSync(__glob.RADIO, JSON.stringify(radios, null, 2))
    }
}