
updateUsersPictures()

AlwaysRequest("UPDATE_SELF", () => {
    updateUsersPictures()
})

function updateUsersPictures() {

    const userInfo = get("USER_INFO")

    userInfo.then(user => {

        settingsBtn.style.display = "none"
    
        if(user.admin == true) {

            settingsBtn.style.display = "flex"
            userAdmin = true
        }

        userInfoDiv.innerHTML = "<div class='INDEX_userInfo_name'><p class='INDEX_gbname'>" + user.user.global_name + "</p><p class='INDEX_usrname'>" + user.user.username + "</p></div><div class='INDEX_picture'><img src='" + user.picture +"'>" + "</div>"

        
    })
}




userInfoDiv.addEventListener("click", () => {

    if(userInfoPopup.classList.contains("invisible")) {

        userInfoPopup.classList.remove("invisible")
        userInfoPopup.style.left = (xMousePos - 110) + "px"
        userInfoPopup.style.top = yMousePos + "px"

    } 

})

userInfoPopup.classList.add("invisible")

userInfoPopup.addEventListener("mouseleave", () => {

    userInfoPopup.classList.add("invisible")
})

// Load users connected

AlwaysRequest("ALL_CONNECTED_USER", (data) => {
    if(userLocation == "home") {
        
        const website_list = document.getElementById("website_list")
        const userToPush = new Array()
    
        userToPush.push("<p style=' padding-bottom: 1%; font-family: Gunship, sans-serif;'><i class='fa fa-users'></i> Utilisateurs connecté(es)</p>")
    
        for(var user of data) {
     
           userToPush.push(`<div style=' padding-bottom: 2%; padding-top: 1%;' class="set_user_info"><img  style='margin-right: 3%;' src="${user.picture}"><div style="display: flex; flex-direction: column; justify-content: center;"><p class="INDEX_gbname">${user.global_name}</p><p class="INDEX_usrname">${user.username}</p></div></div>`)
    
        }
    
        website_list.innerHTML = userToPush.join("")

    }
    
})



var timeoutId = null

socket.on("NOTIFICATION", (data) => {

    if(timeoutId) {

        clearTimeout(timeoutId)
    }

    const notifDiv = document.getElementById("notif")
    const notif_image = document.getElementById("notif_image")
    const notif_text = document.getElementById("notif_text")

    notif_image.src = data.image_src
    notif_text.innerHTML = data.text



    notifDiv.classList.add("notif_div_on")

    timeoutId = setTimeout(() => {

        notifDiv.classList.remove("notif_div_on")
    }, 4000)

    notifDiv.addEventListener("click", () => {

        
        if(timeoutId) {

            clearTimeout(timeoutId)
        }

        
        notifDiv.classList.remove("notif_div_on")

    })
})


// Window Selector



homeBtn.style.color = "white"

homeBtn.addEventListener("click", () => {

    loadHome()

})

// Restart


restartBtn.addEventListener("click", () => {

    get("RESTART")
})


// Start Operation

loadHome()