const tooltip = document.getElementById("tooltip")

tooltip.style.visibility = 'hidden'
tooltip.style.display = 'none'
const alreadyDeclare = new Array()

const tooltip_list = {
    "radio_add": "Ajouter par l'URL",
    "sendplaylist": "Envoyer la playlist",
    "playlistplay": "Jouer la playlist",
    "playlistdelete": "Effacer la playlist",
    "an_create": "Ajouter un serveur",
    "pplay": "Jouer maintenant",
    "delete": "Supprimer",
    "add": "Ajouter à la liste de lecture",
    "backward": "Précédent",
    "forward": "Suivant",
    "lmore": "Plus d'options",
    "loop": "Répéter le titre",
    "shuffle": "Mélanger la liste de lecture",
    "list_btn": "Liste de lecture",
    "disconnect": "Déconnecter le bot",
    "reload": "Relancer le serveur",
    "admin": "Donner les permissions",
    "takeCurrent": "Ajouter le titre à une playlist",
    "volbtn": "Volume"
  }

document.onmousemove = function(e)
{
  xMousePos = e.clientX + window.scrollX;
  yMousePos = e.clientY + window.scrollY;
  
    for(var key in tooltip_list) {
    
        showToolTip(key, tooltip_list[key], e)
    
    }
 
};


function showToolTip(id, text, e) {

    if(e.target) {
        
        if(e.target.id.includes(id)) {

            if(!alreadyDeclare.includes(e.target.id)) {
                alreadyDeclare.push(e.target.id)
                const elementAssociate = document.getElementById(e.target.id)

                elementAssociate.addEventListener("mousemove", () => {
                    tooltip.style.visibility = 'visible'
                    tooltip.style.display = 'unset'
                    tooltip.style.top = ( yMousePos - ( tooltip.offsetHeight + 20)) + "px"
                    tooltip.style.width = "150px"
                    tooltip.style.left =(xMousePos - 75 )+ "px"
                    tooltip.innerHTML = text
    
                })
                    
                elementAssociate.addEventListener("mouseleave", () => {

                    
                    alreadyDeclare.splice(alreadyDeclare.indexOf(e.target.id), 1)

                    tooltip.style.visibility = 'hidden'
                    tooltip.style.display = 'none'
                    
                })

            }        

        
        } 

    }
    
}